Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\API\Repository\Values\Translation\Message Class Reference

Class for translatable messages, which only occur in singular form. More...

Inheritance diagram for eZ\Publish\API\Repository\Values\Translation\Message:

## Public Member Functions
| __construct ($message, array $values=[])
| Construct singular only message from string and optional value array. More...
| __toString ()
| {} More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Protected Attributes
| $message
| $values

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Class for translatable messages, which only occur in singular form.

The message might include replacements, in the form %[A-Za-z]%. Those are replaced by the values provided. A raw % can be escaped like %%.

Definition at line 17 of file API/Repository/Values/Translation/Message.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\API\Repository\Values\Translation\Message::__construct | ( |  | $message,
|  | array | $values = `[]`
| ) |  |

Construct singular only message from string and optional value array.

Parameters

  string | $message |
  array | $values |

Definition at line 41 of file API/Repository/Values/Translation/Message.php.

References eZ\Publish\API\Repository\Values\Translation\Message\$message, and eZ\Publish\API\Repository\Values\Translation\Message\$values.

## Member Function Documentation

## ◆ __toString()

eZ\Publish\API\Repository\Values\Translation\Message::__toString | ( |  | ) |

{}

Definition at line 50 of file API/Repository/Values/Translation/Message.php.

## Member Data Documentation

## ◆ $message

eZ\Publish\API\Repository\Values\Translation\Message::$message
| protected

Definition at line 25 of file API/Repository/Values/Translation/Message.php.

Referenced by eZ\Publish\API\Repository\Values\Translation\Message\__construct().

## ◆ $values

eZ\Publish\API\Repository\Values\Translation\Message::$values
| protected

Definition at line 33 of file API/Repository/Values/Translation/Message.php.

Referenced by eZ\Publish\API\Repository\Values\Translation\Message\__construct().

The documentation for this class was generated from the following file:

- API/Repository/Values/Translation/Message.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.